Subject: Re: git pull & git gc

From: Дилян Палаузов <[email-masked]>
Date: Wed, 18 Mar 2015 15:23:05 +0100

Hello,

# git gc --auto
Auto packing the repository in background for optimum performance.
See "git help gc" for manual housekeeping.

and calls in the background:

25618     1  0 32451   884   1 14:20 ?        00:00:00 git gc --auto
25639 25618 51 49076 49428   0 14:20 ?        00:00:07 git prune 
--expire 2.weeks.ago

# git count-objects -v
count: 6039
size: 65464
in-pack: 185432
packs: 1
size-pack: 46687
prune-packable: 0
garbage: 0
size-garbage: 0

Regards
   Dilian

On 18.03.2015 15:16, Duy Nguyen wrote:
> On Wed, Mar 18, 2015 at 8:53 PM, Дилян Палаузов
> <[email-masked]> wrote:
>> Hello,
>>
>> I have a local folder with the git-repository (so that its .git/config
>> contains ([remote "origin"]\n    url = git://github.com/git/git.git\nfetch =
>> +refs/heads/*:refs/remotes/origin/* )
>>
>> I do there "git pull".
>>
>> Usually the output is
>>    Already up to date
>>
>> but since today it prints
>>    Auto packing the repository in background for optimum performance.
>>    See "git help gc" for manual housekeeping.
>>    Already up-to-date.
>>
>> and starts in the background a "git gc --auto" process.  This is all fine,
>> however, when the "git gc" process finishes, and I do again "git pull" I get
>> the same message, as above (git gc is again started).
>
> So if you do "git gc --auto" now, does it exit immediately or go
> through the garbage collection process again (it'll print something)?
> What does "git count-objects -v" show?
>